Subject: [Teas] Editorial comment on draft-ietf-teas-yang-te-topo-01

From: "Giovanni Martinelli (giomarti)" <[email-masked]>
Date: Wed, 22 Jul 2015 12:45:47 +0000

Dear authors,

is it reasonable to ask the references (RFC, drafts etc.) for each definition you put (or will remain) in the model?  

It might be an annoying editing but a great help in understanding where definitions come from (sometime is trivial sometime is not). Especially this draft having a fairly high number of concepts to represent.

This request is likely similar to the question done by Paul at the mic on draft-saad-teas-yang-te-02 presentation.  Actually I see  well done in draft-saad-teas-yang-rsvp-02.

Cheers
G

---

From: "Zhangxian (Xian)" <[email-masked]>
Date: Thu, 23 Jul 2015 14:23:54 +0000

Hi, Giovanni, 

      I think it already does.

     One example:

"leaf administrative-group {
          type te-types:admin-groups;
          description
            "Administrative group or color of the link.
            This attribute covers both administrative group (defined in
            RFC3630, RFC5329, and RFC5305), and extended administrative
            group (defined in RFC7308).";
"
   Do you see any missing for this YANG model? 
   
  You have raised a very comment and it applies wider than just TE topo YANG, including TE YANG as well as RSVP. 

  I was looking for switching capaiblities as an example to your question. But this TE Topo actually uses the one (ietf-te-types) defined in https://tools.ietf.org/html/draft-saad-teas-yang-te-02 and it is indeed lack of linkage to any RFCs. As Tarek has already mentioned they are going to improve on the "description part",  I have now cc-ed Tarek to be aware of this very specific comment for their consideration.

Regards,
Xian

________________________________________
发件人: Teas [[email-masked]] 代表 Giovanni Martinelli (giomarti) [[email-masked]]
发送时间: 2015年7月22日 20:45
收件人: TEAS WG
主题: [Teas] Editorial comment on draft-ietf-teas-yang-te-topo-01

Dear authors,

Cheers
G

_______________________________________________
Teas mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/teas

---

From: "Giovanni Martinelli (giomarti)" <[email-masked]>
Date: Thu, 23 Jul 2015 14:37:26 +0000

Hi Xian,

for this definition yes. For lots of others not (e.g. connectivity matrix, node te attributes). Btw to me the best is to do like draft-saad-teas-yang-rsvp-02.

btw yes the comments may apply to other modesl as well … this draft has a recollection from several RFCs and concepts so not always easy to get the right semantic.

Cheers
G

> On 23 Jul 2015, at 16:23, Zhangxian (Xian) <[email-masked]> wrote:
> 
> Hi, Giovanni, 
> 
>      I think it already does.
> 
>     One example:
>

---

From: "Zhangxian (Xian)" <[email-masked]>
Date: Thu, 23 Jul 2015 15:39:28 +0000

Good catch.  i am sure they will look into it.

I cannot speak for the authors, but for the connectivity matrix, it may be because they are not capturing all informtaion specified in the general-encode draft which defines this? 

Regards,
Xian

________________________________________
发件人: Giovanni Martinelli (giomarti) [[email-masked]]
发送时间: 2015年7月23日 22:37
收件人: Zhangxian (Xian)
抄送: TEAS WG; Tarek Saad (tsaad)
主题: Re: [Teas] Editorial comment on draft-ietf-teas-yang-te-topo-01

Hi Xian,

Cheers
G